Public Member Functions | Public Attributes | List of all members
libabw::ABWData Struct Reference

`#include <ABWCollector.h>`

## Public Member Functions
| ABWData ()
| ABWData (const ABWData &data)
| ABWData (const librevenge::RVNGString &mimeType, const librevenge::RVNGBinaryData binaryData)
| ~ABWData ()
ABWData & | operator= (const ABWData &data)=default

## Public Attributes
librevenge::RVNGString | m_mimeType
librevenge::RVNGBinaryData | m_binaryData

## Constructor & Destructor Documentation

## ◆ ABWData() [1/3]

libabw::ABWData::ABWData | ( |  | ) |
| inline

## ◆ ABWData() [2/3]

libabw::ABWData::ABWData | ( | const ABWData & | data | ) |
| inline

## ◆ ABWData() [3/3]

libabw::ABWData::ABWData | ( | const librevenge::RVNGString & | mimeType,
|  | const librevenge::RVNGBinaryData | binaryData
| ) |  |
| inline

## ◆ ~ABWData()

libabw::ABWData::~ABWData | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

ABWData& libabw::ABWData::operator= | ( | const ABWData & | data | ) |
| default

## Member Data Documentation

## ◆ m_binaryData

librevenge::RVNGBinaryData libabw::ABWData::m_binaryData

## ◆ m_mimeType

librevenge::RVNGString libabw::ABWData::m_mimeType

The documentation for this struct was generated from the following file:

- ABWCollector.h